Fency.ai
Memory types

Create memory type

POST
/v1/memory-types

Create a memory type that defines metadata fields for memories.

Authorization

bearerAuth
AuthorizationBearer <token>

Provide your secret key as Authorization: Bearer sk_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for creating a memory type.

Response Body

application/json

curl -X POST "https://example.com/v1/memory-types" \  -H "Content-Type: application/json" \  -d '{    "name": "example_memory_type",    "description": "This is an example memory type description.",    "type": "SEMANTIC",    "identityKeyName": "sku",    "updatedAtKeyName": "last_modified"  }'
{  "id": "example-id",  "createdAt": "2024-04-08T17:02:27.887295Z",  "name": "example_memory_type",  "description": "This is an example memory type.",  "type": "SEMANTIC",  "metadataSource": {    "identityMetaKeyId": "mmk_identity",    "updatedAtMetaKeyId": "mmk_updated_at"  },  "metadataFields": [    {      "name": "example_field",      "description": "This is an example metadata field.",      "fieldType": "STRING"    }  ]}